Subject: Re: [PATCH] virtio-net: Read MAC only after initializing MSI-X

From: Rusty Russell <[email-masked]>
Date: Mon, 19 Sep 2011 13:05:17 +0930

On Sat, 20 Aug 2011 23:00:44 +0300, "Michael S. Tsirkin" <[email-masked]> wrote:
> On Fri, Aug 19, 2011 at 07:33:07PM +0300, Sasha Levin wrote:
> > Maybe this is better solved by copying the way it was done in PCI itself
> > with capability linked list?
> 
> There are any number of ways to lay out the structure.  I went for what
> seemed a simplest one.  For MSI-X the train has left the station.  We
> can probably still tweak where the high 32 bit features
> for 64 bit features are.  No idea if it's worth it.

Sorry, this has been in the back of my mind.  I think it's a good idea;
can we use the capability linked list for pre-device specific stuff from
now on?

Thanks,
Rusty.